This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1001263 - libgphoto2 : duplicate documentation files / potentially conflicting
libgphoto2 : duplicate documentation files / potentially conflicting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgphoto2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 15:57 EDT by Michael Schwendt
Modified: 2013-08-28 10:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: libgphoto2-2.5.2-5.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 10:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 15:57:29 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> libgphoto2-2.5.2-4.fc20.src.rpm
=> libgphoto2-devel-2.5.2-4.fc20.i686 in fedora-development-i386
  File conflict with: libgphoto2-2.5.2-4.fc20.i686
     /usr/share/doc/libgphoto2/ABOUT-NLS
     /usr/share/doc/libgphoto2/AUTHORS
     /usr/share/doc/libgphoto2/COPYING
     /usr/share/doc/libgphoto2/ChangeLog
     /usr/share/doc/libgphoto2/NEWS
     /usr/share/doc/libgphoto2/README
     /usr/share/doc/libgphoto2/README.packaging
     /usr/share/doc/libgphoto2/camlibs/ChangeLog
     /usr/share/doc/libgphoto2/camlibs/README.9050
     /usr/share/doc/libgphoto2/camlibs/README.9051
     /usr/share/doc/libgphoto2/camlibs/README.9052
     /usr/share/doc/libgphoto2/camlibs/README.905C
     /usr/share/doc/libgphoto2/camlibs/README.913C
     /usr/share/doc/libgphoto2/camlibs/README.913D
     /usr/share/doc/libgphoto2/camlibs/README.adc65
     /usr/share/doc/libgphoto2/camlibs/README.agfa-cl20
     /usr/share/doc/libgphoto2/camlibs/README.aox
     /usr/share/doc/libgphoto2/camlibs/README.ax203
     /usr/share/doc/libgphoto2/camlibs/README.ax203-compression
     /usr/share/doc/libgphoto2/camlibs/README.canon
     /usr/share/doc/libgphoto2/camlibs/README.clicksmart310
     /usr/share/doc/libgphoto2/camlibs/README.enigma13
     /usr/share/doc/libgphoto2/camlibs/README.gsmart300
     /usr/share/doc/libgphoto2/camlibs/README.iclick
     /usr/share/doc/libgphoto2/camlibs/README.jamcam
     /usr/share/doc/libgphoto2/camlibs/README.jl2005a
     /usr/share/doc/libgphoto2/camlibs/README.jl2005bcd-compression
     /usr/share/doc/libgphoto2/camlibs/README.jl2005c
     /usr/share/doc/libgphoto2/camlibs/README.konica
     /usr/share/doc/libgphoto2/camlibs/README.largan-lmini
     /usr/share/doc/libgphoto2/camlibs/README.lg_gsm
     /usr/share/doc/libgphoto2/camlibs/README.mars
     /usr/share/doc/libgphoto2/camlibs/README.minolta-dimagev
     /usr/share/doc/libgphoto2/camlibs/README.mustek
     /usr/share/doc/libgphoto2/camlibs/README.panasonic
     /usr/share/doc/libgphoto2/camlibs/README.panasonic-coolshot
     /usr/share/doc/libgphoto2/camlibs/README.panasonic-l859
     /usr/share/doc/libgphoto2/camlibs/README.pccam300
     /usr/share/doc/libgphoto2/camlibs/README.pccam600
     /usr/share/doc/libgphoto2/camlibs/README.pentax
     /usr/share/doc/libgphoto2/camlibs/README.ptp2
     /usr/share/doc/libgphoto2/camlibs/README.smal
     /usr/share/doc/libgphoto2/camlibs/README.sonix
     /usr/share/doc/libgphoto2/camlibs/README.sonydscf1
     /usr/share/doc/libgphoto2/camlibs/README.soundvision
     /usr/share/doc/libgphoto2/camlibs/README.spca50x
     /usr/share/doc/libgphoto2/camlibs/README.sq905
     /usr/share/doc/libgphoto2/camlibs/README.st2205
     /usr/share/doc/libgphoto2/camlibs/README.st2205-compression
     /usr/share/doc/libgphoto2/camlibs/README.toshiba-pdrm11
     /usr/share/doc/libgphoto2/camlibs/README.tp6801
     /usr/share/doc/libgphoto2/linux-hotplug/usbcam.console
     /usr/share/doc/libgphoto2/linux-hotplug/usbcam.group
     /usr/share/doc/libgphoto2/linux-hotplug/usbcam.user
     /usr/share/doc/libgphoto2/linux-hotplug/usbcam.x11-app

=> libgphoto2-2.5.2-4.fc20.src.rpm
=> libgphoto2-2.5.2-4.fc20.i686 in fedora-development-i386
  File conflict with: libgphoto2-devel-2.5.2-4.fc20.i686
     /usr/share/doc/libgphoto2/ABOUT-NLS
     /usr/share/doc/libgphoto2/AUTHORS
     /usr/share/doc/libgphoto2/COPYING
     /usr/share/doc/libgphoto2/ChangeLog
     /usr/share/doc/libgphoto2/NEWS
     /usr/share/doc/libgphoto2/README
     /usr/share/doc/libgphoto2/README.packaging
     /usr/share/doc/libgphoto2/camlibs/ChangeLog
     /usr/share/doc/libgphoto2/camlibs/README.9050
     /usr/share/doc/libgphoto2/camlibs/README.9051
     /usr/share/doc/libgphoto2/camlibs/README.9052
     /usr/share/doc/libgphoto2/camlibs/README.905C
     /usr/share/doc/libgphoto2/camlibs/README.913C
     /usr/share/doc/libgphoto2/camlibs/README.913D
     /usr/share/doc/libgphoto2/camlibs/README.adc65
     /usr/share/doc/libgphoto2/camlibs/README.agfa-cl20
     /usr/share/doc/libgphoto2/camlibs/README.aox
     /usr/share/doc/libgphoto2/camlibs/README.ax203
     /usr/share/doc/libgphoto2/camlibs/README.ax203-compression
     /usr/share/doc/libgphoto2/camlibs/README.canon
     /usr/share/doc/libgphoto2/camlibs/README.clicksmart310
     /usr/share/doc/libgphoto2/camlibs/README.enigma13
     /usr/share/doc/libgphoto2/camlibs/README.gsmart300
     /usr/share/doc/libgphoto2/camlibs/README.iclick
     /usr/share/doc/libgphoto2/camlibs/README.jamcam
     /usr/share/doc/libgphoto2/camlibs/README.jl2005a
     /usr/share/doc/libgphoto2/camlibs/README.jl2005bcd-compression
     /usr/share/doc/libgphoto2/camlibs/README.jl2005c
     /usr/share/doc/libgphoto2/camlibs/README.konica
     /usr/share/doc/libgphoto2/camlibs/README.largan-lmini
     /usr/share/doc/libgphoto2/camlibs/README.lg_gsm
     /usr/share/doc/libgphoto2/camlibs/README.mars
     /usr/share/doc/libgphoto2/camlibs/README.minolta-dimagev
     /usr/share/doc/libgphoto2/camlibs/README.mustek
     /usr/share/doc/libgphoto2/camlibs/README.panasonic
     /usr/share/doc/libgphoto2/camlibs/README.panasonic-coolshot
     /usr/share/doc/libgphoto2/camlibs/README.panasonic-l859
     /usr/share/doc/libgphoto2/camlibs/README.pccam300
     /usr/share/doc/libgphoto2/camlibs/README.pccam600
     /usr/share/doc/libgphoto2/camlibs/README.pentax
     /usr/share/doc/libgphoto2/camlibs/README.ptp2
     /usr/share/doc/libgphoto2/camlibs/README.smal
     /usr/share/doc/libgphoto2/camlibs/README.sonix
     /usr/share/doc/libgphoto2/camlibs/README.sonydscf1
     /usr/share/doc/libgphoto2/camlibs/README.soundvision
     /usr/share/doc/libgphoto2/camlibs/README.spca50x
     /usr/share/doc/libgphoto2/camlibs/README.sq905
     /usr/share/doc/libgphoto2/camlibs/README.st2205
     /usr/share/doc/libgphoto2/camlibs/README.st2205-compression
     /usr/share/doc/libgphoto2/camlibs/README.toshiba-pdrm11
     /usr/share/doc/libgphoto2/camlibs/README.tp6801
     /usr/share/doc/libgphoto2/linux-hotplug/usbcam.console
     /usr/share/doc/libgphoto2/linux-hotplug/usbcam.group
     /usr/share/doc/libgphoto2/linux-hotplug/usbcam.user
     /usr/share/doc/libgphoto2/linux-hotplug/usbcam.x11-app

Note You need to log in before you can comment on or make changes to this bug.